Name:        geist-mono-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/GeistMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 GeistMonoNerdFont-Black.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Black.otf
install -Dm644 GeistMonoNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Bold.otf
install -Dm644 GeistMonoNerdFont-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Light.otf
install -Dm644 GeistMonoNerdFont-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Medium.otf
install -Dm644 GeistMonoNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Regular.otf
install -Dm644 GeistMonoNerdFont-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-SemiBold.otf
install -Dm644 GeistMonoNerdFont-Thin.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Thin.otf
install -Dm644 GeistMonoNerdFont-UltraBlack.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-UltraBlack.otf
install -Dm644 GeistMonoNerdFont-UltraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFont-UltraLight.otf
install -Dm644 GeistMonoNerdFontMono-Black.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Black.otf
install -Dm644 GeistMonoNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Bold.otf
install -Dm644 GeistMonoNerdFontMono-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Light.otf
install -Dm644 GeistMonoNerdFontMono-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Medium.otf
install -Dm644 GeistMonoNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Regular.otf
install -Dm644 GeistMonoNerdFontMono-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-SemiBold.otf
install -Dm644 GeistMonoNerdFontMono-Thin.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Thin.otf
install -Dm644 GeistMonoNerdFontMono-UltraBlack.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-UltraBlack.otf
install -Dm644 GeistMonoNerdFontMono-UltraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-UltraLight.otf
install -Dm644 GeistMonoNerdFontPropo-Black.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Black.otf
install -Dm644 GeistMonoNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Bold.otf
install -Dm644 GeistMonoNerdFontPropo-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Light.otf
install -Dm644 GeistMonoNerdFontPropo-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Medium.otf
install -Dm644 GeistMonoNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Regular.otf
install -Dm644 GeistMonoNerdFontPropo-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-SemiBold.otf
install -Dm644 GeistMonoNerdFontPropo-Thin.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Thin.otf
install -Dm644 GeistMonoNerdFontPropo-UltraBlack.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-UltraBlack.otf
install -Dm644 GeistMonoNerdFontPropo-UltraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-UltraLight.otf

%files

%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Black.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Light.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Medium.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-SemiBold.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-Thin.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-UltraBlack.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFont-UltraLight.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Black.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Light.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Medium.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-SemiBold.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-Thin.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-UltraBlack.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontMono-UltraLight.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Black.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Light.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Medium.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Regular.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-SemiBold.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-Thin.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-UltraBlack.otf
%{_datadir}/fonts/%{name}/GeistMonoNerdFontPropo-UltraLight.otf
%license LICENSE
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
